PROGRAM=exercise_06_38
CXX=clang++
CXXFLAGS=-Wall -Wextra -Werror -g3

run: $(PROGRAM)
	./$(PROGRAM)
	
$(PROGRAM): exercise_06_38.o .gitignore
	$(CXX)    $(CXXFLAGS) $< -o $@ 
	
%.ii: %.cpp
	$(CXX) -E $(CXXFLAGS) $< -o $@
	
%.s: %.ii
	$(CXX) -S $(CXXFLAGS) $< -o $@
		
%.o: %.s
	$(CXX) -c $(CXXFLAGS) $< -o $@
	
.gitignore:
	echo $(PROGRAM) > .gitignore
	
clean:
	rm *.ii *.s *.o $(PROGRAM) .gitignore
	
.PRECIOUS: exercise_06_38.ii exercise_06_38.s exercise_06_38.o
.SECONDARY: exercise_06_38.ii exercise_06_38.s exercise_06_38.o

